clear all;
syms k z;

Hz=3-(z/(z^2+0.5*z))+(1.8*z/(z^2-0.6*z));
Uz=4*z/(z-1)-4*z/(z^7-z^6);
Yz=Hz*Uz;

yk=iztrans(Yz,z,k)

time=0:1:30;
figure;
stem(time, double(subs(yk,k,time)),'b');
hold on;
grid on;